import type { ScrollElement, VirtualScroller } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Synchronizes scroller with model. Should be used in window-scroll cases, otherwise `ref={model.setScroller}` is preferrable.
 */
declare const useScroller: (model: VirtualScroller, scroller: ScrollElement | null) => void;
export default useScroller;
