import { VirtualScroller, VirtualScrollerEvent } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Allows to subscribe to {@link @af-utils/virtual-core#(VirtualScrollerEvent:variable)} without unnecessary rerenders.
 * For example can be used in load-on-demand.
 */
declare const useSubscription: (model: VirtualScroller, events: readonly VirtualScrollerEvent[] | VirtualScrollerEvent[], callBack: () => void) => void;
export default useSubscription;
