/// <reference types="react" />
import type { SubscriptionProps } from "../../../types";
/**
 * @public
 * React component.
 * Rerenders only on certain {@link @af-utils/virtual-core#(VirtualScrollerEvent:variable)}.
 * Allows to optimize performance.
 */
declare const Subscription: (props: SubscriptionProps) => import("react").ReactNode;
export default Subscription;
