/// <reference types="react" />
import type { VirtualScroller } from "@af-utils/virtual-core";
/**
 * @public
 * Map current visible items
 */
export declare const mapVisibleRange: (model: VirtualScroller, cb: (index: number) => JSX.Element) => JSX.Element[];
/**
 * @public
 * Map current visible items and provide offset for each item.
 * Used in scenarios, when each item is absolutely positioned
 */
export declare const mapVisibleRangeWithOffset: (model: VirtualScroller, cb: (index: number, offset: number) => JSX.Element) => JSX.Element[];
